Erros na instalação!

1. Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 00:27h

Olá amigos, sou novo no site e gostaria de retirar umas dúvidas que me cercam desde o Ubuntu 12.14 até o CentOS 7.

Segui alguns tópicos de instalação do Asterisk no Ubuntu e CentOS ( tópico: http://www.asterisklibre.org/?p=594 ), tudo ok até a parte de instalar o DAHDI e o LIBPRI. Para que a instalação dos mesmos ocorram, é necessário instalar algumas dependências, como por exemplo:

yum install -y make wget openssl-devel ncurses-devel  newt-devel libxml2-devel kernel-devel gcc gcc-c++ sqlite-devel libuuid-devel 


Dependências instaladas, reiniciei a máquina. Na hora em que tentei instalar o DAHDI (na instalação do LIBPRI também) o seguinte erro ocorreu:
----------------------------------------------------------------------------------------------------------------
[[email protected] dahdi-linux-complete-2.10.2+2.10.2]# make && make install && make config
make -C linux all
make[1]: Entering directory `/usr/src/dahdi-linux-complete-2.10.2+2.10.2/linux'
make -C drivers/dahdi/firmware firmware-loaders
make[2]: Entering directory `/usr/src/dahdi-linux-complete-2.10.2+2.10.2/linux/drivers/dahdi/firmware'
make[2]: Leaving directory `/usr/src/dahdi-linux-complete-2.10.2+2.10.2/linux/drivers/dahdi/firmware'
You do not appear to have the sources for the 2.6.32-042stab106.6 kernel installed.
make[1]: *** [modules] Error 1
make[1]: Leaving directory `/usr/src/dahdi-linux-complete-2.10.2+2.10.2/linux'
make: *** [all] Error 2
----------------------------------------------------------------------------------------------------------------

Não sei mais o que fazer! (obs: o Asterisk instala normalmente, somente as dependências: DAHDI e LIBPRI apresentam esse erro). O quanto antes puderem me ajudar melhor!

Grato!



  


2. Re: Erros na instalação!

Zhu Sha Zang
zhushazang

(usa Gentoo)

Enviado em 01/07/2015 - 08:10h

You do not appear to have the sources for the 2.6.32-042stab106.6 kernel installed.


Procure se certificar que você tenha os sources do seu kernel atual instalado.

Atenciosamente



---
Hail Hydra!


3. Re: Erros na instalação!

Ricardo Auler
ricardoandre

(usa Linux Mint)

Enviado em 01/07/2015 - 08:34h


You do not appear to have the sources for the 2.6.32-042stab106.6 kernel installed.

pelo erro ainda falta alguma dependencia no kernel mencionado, mas não saberia te informar quais.


4. Re: Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 09:21h

zhushazang escreveu:

You do not appear to have the sources for the 2.6.32-042stab106.6 kernel installed.


Procure se certificar que você tenha os sources do seu kernel atual instalado.

Atenciosamente



---
Hail Hydra!


O estranho é que todos os tópicos que segui, eles instalam as dependências e não da erro algum! E não sei quais instalar entende?






5. Re: Erros na instalação!

Zhu Sha Zang
zhushazang

(usa Gentoo)

Enviado em 01/07/2015 - 09:49h

Procuro sobre como compilar o kernel na sua distro. É isso que ele quer.

Lá em /usr/src existe um diretório (ou deveria existir) que é o source do kernel.

Na minha máquinas está assim:


[[email protected] ~]$ ls -la /usr/src 8:47
total 28
drwxr-xr-x 7 root root 4096 Jun 30 23:06 ./
drwxr-xr-x 23 root root 4096 Jun 8 15:54 ../
drwxr-xr-x 20 root root 4096 Jun 25 08:41 linux-4.0.5-gentoo/
drwxr-xr-x 20 root root 4096 Jun 29 10:30 linux-4.1.0-gentoo/
drwxr-xr-x 25 root root 4096 Jun 29 10:10 linux-4.1.0-gentoo-r1/
drwxr-xr-x 25 root root 4096 Jun 30 23:03 linux-4.1.1-gentoo/
drwxr-xr-x 7 root root 4096 Aug 9 2011 rpm/
lrwxrwxrwx 1 root root 18 Jun 30 23:06 linux -> linux-4.1.1-gentoo/


Veja que linux é um link simbólico para o linux-4.1.1-gentoo que é o kernel que estou agora:

Você precisa equalizar ista na sua máquina para que a dependência esteja resolvida.

Atenciosamente

---
Hail Hydra!


6. Re: Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 11:48h

zhushazang escreveu:

Procuro sobre como compilar o kernel na sua distro. É isso que ele quer.

Lá em /usr/src existe um diretório (ou deveria existir) que é o source do kernel.

Na minha máquinas está assim:


[[email protected] ~]$ ls -la /usr/src 8:47
total 28
drwxr-xr-x 7 root root 4096 Jun 30 23:06 ./
drwxr-xr-x 23 root root 4096 Jun 8 15:54 ../
drwxr-xr-x 20 root root 4096 Jun 25 08:41 linux-4.0.5-gentoo/
drwxr-xr-x 20 root root 4096 Jun 29 10:30 linux-4.1.0-gentoo/
drwxr-xr-x 25 root root 4096 Jun 29 10:10 linux-4.1.0-gentoo-r1/
drwxr-xr-x 25 root root 4096 Jun 30 23:03 linux-4.1.1-gentoo/
drwxr-xr-x 7 root root 4096 Aug 9 2011 rpm/
lrwxrwxrwx 1 root root 18 Jun 30 23:06 linux -> linux-4.1.1-gentoo/


Veja que linux é um link simbólico para o linux-4.1.1-gentoo que é o kernel que estou agora:

Você precisa equalizar ista na sua máquina para que a dependência esteja resolvida.

Atenciosamente

---
Hail Hydra!


-------------------------------------------------------------------------------
Algum tutorial sobre como fazer isso?





7. Re: Erros na instalação!

Zhu Sha Zang
zhushazang

(usa Gentoo)

Enviado em 01/07/2015 - 12:40h

Inúmeros no google.

---
Hail Hydra!


8. Re: Erros na instalação!

Eris Ribeiro Junior
erisrjr

(usa Outra)

Enviado em 01/07/2015 - 13:23h

Jovem procure os pacotes:
kernel-headers e kernel-devel

*Segundo a menssajem é o que falta, uma boa antes de instalar eles, seria atualizar seu ambiente (Caso possivel).


yum update
yum install kernel-headers kernel-devel

--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;



9. Re: Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 17:59h

erisrjr escreveu:

Jovem procure os pacotes:
kernel-headers e kernel-devel

*Segundo a menssajem é o que falta, uma boa antes de instalar eles, seria atualizar seu ambiente (Caso possivel).


yum update
yum install kernel-headers kernel-devel

--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;


-----------------------------------------------
olá! eu fiz isso, já está instalado, mas não na versão que o meu Asterisk necessita, está assim:


Package kernel-headers-2.6.18-406.el5.i386 already installed and latest version
Package kernel-devel-2.6.18-406.el5.i686 already installed and latest version


Eu não estou entendendo como e porquê enfrento tantos bugs com o CentOS 5





10. Re: Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 18:18h

O seguinte erro também ocorre:
E: Couldn't find package linux-headers-2.6.32-042stab106.6 



11. Re: Erros na instalação!

Eris Ribeiro Junior
erisrjr

(usa Outra)

Enviado em 01/07/2015 - 18:20h

marlon232 escreveu:

erisrjr escreveu:

Jovem procure os pacotes:
kernel-headers e kernel-devel

*Segundo a menssajem é o que falta, uma boa antes de instalar eles, seria atualizar seu ambiente (Caso possível).


yum update
yum install kernel-headers kernel-devel

--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;


-----------------------------------------------
olá! eu fiz isso, já está instalado, mas não na versão que o meu Asterisk necessita, está assim:


Package kernel-headers-2.6.18-406.el5.i386 already installed and latest version
Package kernel-devel-2.6.18-406.el5.i686 already installed and latest version


Eu não estou entendendo como e porquê enfrento tantos bugs com o CentOS 5




Se esta instalado, crie o link simbólico como o zhushazang lhe sugeriu (Basta cria-lo em /usr/src).

Outra, CentOS5? No link que passou estão usando o CentOS7, então não ha garantia que os mesmo passos irão funcionar.


--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;



12. Re: Erros na instalação!

Marlon Leandro
marlon232

(usa CentOS)

Enviado em 01/07/2015 - 18:24h

erisrjr escreveu:

marlon232 escreveu:

erisrjr escreveu:

Jovem procure os pacotes:
kernel-headers e kernel-devel

*Segundo a menssajem é o que falta, uma boa antes de instalar eles, seria atualizar seu ambiente (Caso possível).


yum update
yum install kernel-headers kernel-devel

--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;


-----------------------------------------------
olá! eu fiz isso, já está instalado, mas não na versão que o meu Asterisk necessita, está assim:


Package kernel-headers-2.6.18-406.el5.i386 already installed and latest version
Package kernel-devel-2.6.18-406.el5.i686 already installed and latest version


Eu não estou entendendo como e porquê enfrento tantos bugs com o CentOS 5




Se esta instalado, crie o link simbólico como o zhushazang lhe sugeriu (Basta cria-lo em /usr/src).

Outra, CentOS5? No link que passou estão usando o CentOS7, então não ha garantia que os mesmo passos irão funcionar.


--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;


Esqueci de falar, testei um tópico no CentOS 5, um no 6 e no 7 também, inclusive no Ubuntu 10.04, onde o erro é encontrar o kernel: E: Couldn't find package linux-headers-2.6.32-042stab106.6




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts